import { makeStyles } from "@material-ui/styles";
import React, { FC } from "react";
import Typography from "@material-ui/core/Typography";
import Cross from "@material-ui/icons/Clear";
import Circle from "@material-ui/icons/PanoramaFishEye";

type Props = {
    color?: string;
};

const useStyles = makeStyles({
    cross: {
        color: ({ color }: Props) => color ?? "red",
    },
    circle: {
        color: ({ color }: Props) => color ?? "blue",
    },
});

const PlayerIcon: FC<Props> = ({ color, children }) => {
    const classes = useStyles({ color });
    switch (children) {
        case "X":
            return <Cross className={classes.cross} />;
        case "O":
            return <Circle className={classes.circle} />;
    }
    return <Typography variant="h5">{children}</Typography>;
};

export default PlayerIcon;
