import Card from "@material-ui/core/Card";
import CardActionArea from "@material-ui/core/CardActionArea";
import Grid from "@material-ui/core/Grid";
import { makeStyles } from "@material-ui/styles";
import React, { FC } from "react";

const useStyles = makeStyles({
    card: {
        borderRadius: 0,
    },
    action: {
        minHeight: 150,
    },
});

type Props = {
    onClick: () => void;
};

const Square: FC<Props> = ({ onClick, children }) => {
    const classes = useStyles();
    return (
        <Grid item xs={4}>
            <Card className={classes.card}>
                <CardActionArea className={classes.action} onClick={onClick}>
                    {children}
                </CardActionArea>
            </Card>
        </Grid>
    );
};

export default Square;
